# APIs

## 订阅

{% hint style="success" %}
订阅[我们的计划](https://metasleuth.io/plans#apis)，将此API用于您的服务，以帮助满足合规要求并保护用户的资产。
{% endhint %}

## 获取支持的链

## GET /chain-list

> Get the list of supported chains.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API powered by BlockSec Address Label database and risk assessment","version":"3.0"},"servers":[{"url":"https://aml.blocksec.com/address-compliance/api/v3","description":"Get label and related information of addresses."}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"description":"Add your api key in header (API-KEY) for authentication","type":"apiKey","name":"API-KEY","in":"header"}}},"paths":{"/chain-list":{"get":{"summary":"Get the list of supported chains.","parameters":[{"in":"header","name":"API-KEY","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"A successful resquest","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"chain_id":{"type":"integer","description":"Unique identifier for the chain. In accordance with the chain IDs listed in the 'Supported Networks' section."},"chain_name":{"type":"string","description":"The short name of the chain. In accordance with the short names listed in the 'Supported Networks' section."},"support_interaction_risk":{"type":"boolean","description":"Indicates whether the current API supports calculating interaction risk for this chain."}}}}}}}}}}}}}}
```

## 获取风险指标

## GET /risk-items

> Retrieve a comprehensive list of all risk indicators.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API powered by BlockSec Address Label database and risk assessment","version":"3.0"},"servers":[{"url":"https://aml.blocksec.com/address-compliance/api/v3","description":"Get label and related information of addresses."}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"description":"Add your api key in header (API-KEY) for authentication","type":"apiKey","name":"API-KEY","in":"header"}}},"paths":{"/risk-items":{"get":{"summary":"Retrieve a comprehensive list of all risk indicators.","parameters":[{"in":"header","name":"API-KEY","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"A successful resquest","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Indicator string."},"code":{"type":"string","description":"Indicator code."}}}}}}}}}}}}}}
```

## 获取地址合规风险

## POST /risk-score

> Retrieve the address's risk score and all associated risk indicators.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API powered by BlockSec Address Label database and risk assessment","version":"3.0"},"servers":[{"url":"https://aml.blocksec.com/address-compliance/api/v3","description":"Get label and related information of addresses."}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"description":"Add your api key in header (API-KEY) for authentication","type":"apiKey","name":"API-KEY","in":"header"}}},"paths":{"/risk-score":{"post":{"summary":"Retrieve the address's risk score and all associated risk indicators.","parameters":[{"in":"header","name":"API-KEY","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"chain_id":{"type":"integer","description":"Chain ID. Please refer to the 'Supported Networks' section for specific IDs."},"address":{"type":"string","description":"The specific address you want to query. EVM addresses are case-insensitive, while non-EVM addresses are case-sensitive."},"interaction_risk":{"type":"boolean","description":"Whether to calculate the interaction risk of the queried address."}}}}}},"responses":{"200":{"description":"A successful request","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","properties":{"chain_id":{"type":"integer","description":"Chain ID."},"address":{"type":"string","description":"The queried address."},"risk_score":{"type":"integer","description":"Risk score."},"risk_indicators":{"type":"array","description":"Relevant risk indicators","items":{"type":"object","properties":{"type":{"type":"string","description":"Individual Risk / Interaction Risk"},"indicator":{"type":"object","properties":{"name":{"type":"string","description":"The indicator string."},"code":{"type":"integer","description":"The indicator code."}}},"source":{"type":"string","description":"The source address to which the risk indicator of type 'Interaction Risk' belongs."},"risk_interactions":{"type":"array","items":{"type":"object","properties":{"block_number":{"type":"integer","description":"The block number where the funds are transferred."},"timestamp":{"type":"string","format":"unix-timestamp","description":"Timestamp of the block number."},"tx_hash":{"type":"string","description":"Transaction hash of transfer."},"from":{"type":"string","description":"The source address (sender) of the transfer."},"to":{"type":"string","description":"The destination address (recipient) of the transfer."},"token_contract":{"type":"string","description":"The token contract address of the transfer. Returns \"-\" string for native token transfers."},"token_symbol":{"type":"string","description":"The token symbol (e.g., Ether, USDT, DAI)."},"amount":{"type":"number","description":"The amount of tokens transferred, scaled by the token's decimals."},"usd_value":{"type":"number","format":"float","description":"The USD value of the transfer at the time of transaction."}}}}}}}}}}}}}}}}}}}
```
